package pl.kaczanowscy.testng.normal;

import org.testng.annotations.Test;

import pl.kaczanowscy.testng.IdGenerator;
import pl.kaczanowscy.testng.NaiveIdGenerator;

/**
 * Will usually fail.
 * 
 * @author Tomek Kaczanowski
 * 
 */
@Test
public class NaiveIdGeneratorTest {

	private IdGenerator idGen = new NaiveIdGenerator();

	public void idsAreUnique() {
		Long idA = idGen.nextId();
		Long idB = idGen.nextId();
		assert !idA.equals(idB);
	}
}
